Skip to main content

createSastFinding

Create a SAST Finding

createSastFinding(
input: CreateSastFindingInput!
): CreateSastFindingPayload

Arguments​

createSastFinding.input ● CreateSastFindingInput! non-null input​

Parameters for CreateSastFinding

Type​

CreateSastFindingPayload object​

Autogenerated return type of CreateSastFinding.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateSastFinding($input: CreateSastFindingInput!) {\n createSastFinding(input: $input) { clientMutationId issue { id title status } }\n}","variables":{"input":{"assetId":1,"title":"example","description":"example","codeSnippet":"example","vulnerableLine":1,"firstLine":1,"fileName":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute